Subject: Re: bug#28695: 26.0.60; Rendering lag spikes caused by double-buffering on Linux

From: Dmitry Gutov <[email-masked]>
Date: Mon, 9 Oct 2017 16:53:18 +0300

On 10/7/17 11:14 AM, Eli Zaretskii wrote:

> Can some of you use a tool like perf to see whether the time taken by
> XdbeSwapBuffers (called from xterm.c:show_back_buffer) indeed grows
> significantly when going from the 2K class of resolutions to the 4K
> class?  And if it isn't XdbeSwapBuffers, then what takes most of the
> time which causes that "stutter"?

With some pointers on how to use perf, I'd be happy to do that (or even 
without, if you're willing to wait).

But I'm not seeing a qualitative difference between a 4K fullscreen 
Emacs, a half-screen Emacs, or even Emacs with window resized further 
down: there are still minor stutters here. So I'm probably not the best 
person for this experiment.